<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>LaneInformation.MarkingType (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LaneInformation.MarkingType (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LaneInformation.MarkingType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.Direction.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.RecommendationState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/LaneInformation.MarkingType.html" target="_top">Frames</a></li>
<li><a href="LaneInformation.MarkingType.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.guidance</div>
<h2 title="Enum LaneInformation.MarkingType" class="title">Enum LaneInformation.MarkingType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.guidance.LaneInformation.MarkingType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.html" title="class in com.here.android.mpa.guidance">LaneInformation</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">LaneInformation.MarkingType</span>
extends java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a>&gt;</pre>
<div class="block">Marking types for the divider and center marking.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#CROSSING_ALERT">CROSSING_ALERT</a></span></code>
<div class="block">Crossing alert</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#DASHED_BLOCKS">DASHED_BLOCKS</a></span></code>
<div class="block">Dashed blocks</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#DOUBLE_DASHED">DOUBLE_DASHED</a></span></code>
<div class="block">Double dashed</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#DOUBLE_INNER_DASHED_OUTER_SINGLE">DOUBLE_INNER_DASHED_OUTER_SINGLE</a></span></code>
<div class="block">Double inner dashed outer single</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#DOUBLE_INNER_SINGLE_OUTER_DASHED">DOUBLE_INNER_SINGLE_OUTER_DASHED</a></span></code>
<div class="block">Double inner single outer dashed</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#DOUBLE_SOLID_LINE">DOUBLE_SOLID_LINE</a></span></code>
<div class="block">Double solid line</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#LONG_DASHED">LONG_DASHED</a></span></code>
<div class="block">Long dashed</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#NO_DIVIDER">NO_DIVIDER</a></span></code>
<div class="block">No divider</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#NOT_AVAILABLE">NOT_AVAILABLE</a></span></code>
<div class="block">Not available</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#PHYSICAL_DIVIDER">PHYSICAL_DIVIDER</a></span></code>
<div class="block">Physical divider</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#SHARED_AREA">SHARED_AREA</a></span></code>
<div class="block">Shared area</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#SHORT_DASHED">SHORT_DASHED</a></span></code>
<div class="block">Short dashed</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#SINGLE_SOLID_LINE">SINGLE_SOLID_LINE</a></span></code>
<div class="block">Single solid line</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#getValue--">getValue</a></span>()</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="NOT_AVAILABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_AVAILABLE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> NOT_AVAILABLE</pre>
<div class="block">Not available</div>
</li>
</ul>
<a name="LONG_DASHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LONG_DASHED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> LONG_DASHED</pre>
<div class="block">Long dashed</div>
</li>
</ul>
<a name="DOUBLE_SOLID_LINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_SOLID_LINE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> DOUBLE_SOLID_LINE</pre>
<div class="block">Double solid line</div>
</li>
</ul>
<a name="SINGLE_SOLID_LINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SINGLE_SOLID_LINE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> SINGLE_SOLID_LINE</pre>
<div class="block">Single solid line</div>
</li>
</ul>
<a name="DOUBLE_INNER_SINGLE_OUTER_DASHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_INNER_SINGLE_OUTER_DASHED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> DOUBLE_INNER_SINGLE_OUTER_DASHED</pre>
<div class="block">Double inner single outer dashed</div>
</li>
</ul>
<a name="DOUBLE_INNER_DASHED_OUTER_SINGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_INNER_DASHED_OUTER_SINGLE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> DOUBLE_INNER_DASHED_OUTER_SINGLE</pre>
<div class="block">Double inner dashed outer single</div>
</li>
</ul>
<a name="SHORT_DASHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHORT_DASHED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> SHORT_DASHED</pre>
<div class="block">Short dashed</div>
</li>
</ul>
<a name="SHARED_AREA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHARED_AREA</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> SHARED_AREA</pre>
<div class="block">Shared area</div>
</li>
</ul>
<a name="DASHED_BLOCKS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DASHED_BLOCKS</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> DASHED_BLOCKS</pre>
<div class="block">Dashed blocks</div>
</li>
</ul>
<a name="PHYSICAL_DIVIDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PHYSICAL_DIVIDER</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> PHYSICAL_DIVIDER</pre>
<div class="block">Physical divider</div>
</li>
</ul>
<a name="DOUBLE_DASHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_DASHED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> DOUBLE_DASHED</pre>
<div class="block">Double dashed</div>
</li>
</ul>
<a name="NO_DIVIDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_DIVIDER</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> NO_DIVIDER</pre>
<div class="block">No divider</div>
</li>
</ul>
<a name="CROSSING_ALERT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CROSSING_ALERT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> CROSSING_ALERT</pre>
<div class="block">Crossing alert</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a>[] values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (LaneInformation.MarkingType c : LaneInformation.MarkingType.values())
    System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance">LaneInformation.MarkingType</a> valueOf(java.lang.String name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getValue</h4>
<pre>public int getValue()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LaneInformation.MarkingType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.Direction.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/LaneInformation.RecommendationState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/LaneInformation.MarkingType.html" target="_top">Frames</a></li>
<li><a href="LaneInformation.MarkingType.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
